Skip to content

One advisory and the nodes it affects in an environment

GET
/api/v1/vulnerabilities/{env}/advisories/{id}
curl --request GET \
--url https://example.com/api/v1/vulnerabilities/example/advisories/example \
--header 'Authorization: <Authorization>'
env
required
string

Environment name or UUID

id
required
string

Advisory id

OK

Media typeapplication/json
object
advisory
object
cvss_from

CVSSFrom is the aliased NVD CVE an OSV record without its own CVSS borrowed its score from. Empty when the score is the record’s own.

string
cvss_score
number
cvss_vector
string
details
string
id
string
kev
boolean
modified
string
published
string
severity
string
source

Source is the feed that owns the record. Existing rows predate NVD support and are OSV records.

string
summary
string
aliases
Array<string>
findings
Array<object>
object
advisory_id
string
confidence
string
ecosystem
string
environment_id
integer
first_seen
string
fixed_version
string
id
integer
installed_version
string
kev
boolean
last_seen
string
node_uuid
string
package
string
resolved_at
string
severity
string
references
Array<string>
Examplegenerated
{
"advisory": {
"cvss_from": "example",
"cvss_score": 1,
"cvss_vector": "example",
"details": "example",
"id": "example",
"kev": true,
"modified": "example",
"published": "example",
"severity": "example",
"source": "example",
"summary": "example"
},
"aliases": [
"example"
],
"findings": [
{
"advisory_id": "example",
"confidence": "example",
"ecosystem": "example",
"environment_id": 1,
"first_seen": "example",
"fixed_version": "example",
"id": 1,
"installed_version": "example",
"kev": true,
"last_seen": "example",
"node_uuid": "example",
"package": "example",
"resolved_at": "example",
"severity": "example"
}
],
"references": [
"example"
]
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not Found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}